locked
Error CentOS 7.3 Kernel 3.10.0-514.16.1.el7.x86_64 with lis-rpms-4.1.3-2 RRS feed

  • Question

  • on Windows 2016 Hyper-V i install CentOS 7.3 like guest, i install LIS 4.1.3-2 and after centos cannot start.

    maybe we should wait another version of Hyper-V LIS ?

    receive Warning:

    [vmuser@localhost LISISO]$ sudo ./install.sh
    Removing Hyper-V daemons
    Invoking release specific install file in directory CentOS73
    Installing the Linux Integration Services for Microsoft Hyper-V...
    Preparing...                          ################################# [100%]
    Updating / installing...
       1:kmod-microsoft-hyper-v-4.1.3.2-20################################# [100%]
    depmod: WARNING: /lib/modules/3.10.0-514.16.1.el7.x86_64/weak-updates/microsoft-hyper-v/hv_netvsc.ko needs unknown symbol vmbus_setevent
    depmod: WARNING: /lib/modules/3.10.0-514.16.1.el7.x86_64/weak-updates/microsoft-hyper-v/hv_sock.ko needs unknown symbol vmbus_send_tl_connect_request
    depmod: WARNING: /lib/modules/3.10.0-514.16.1.el7.x86_64/weak-updates/microsoft-hyper-v/hv_sock.ko needs unknown symbol vmbus_set_chn_rescind_callback
    depmod: WARNING: /lib/modules/3.10.0-514.16.1.el7.x86_64/weak-updates/microsoft-hyper-v/hv_sock.ko needs unknown symbol vmbus_hvsock_device_unregister
    Preparing...                          ################################# [100%]
    Updating / installing...
       1:microsoft-hyper-v-debuginfo-4.1.3################################# [ 50%]
       2:microsoft-hyper-v-4.1.3.2-2017030################################# [100%]
    Saving old initramfs
    Installing new initramfs
    Starting KVP Daemon....
    Starting VSS Daemon....
    Starting FCOPY Daemon....
     Linux Integration Services for Hyper-V has been installed. Please reboot your system.

    Friday, April 21, 2017 3:35 AM

All replies

  • same problem on windows hyper-v 2012 R2

    CentOS Linux release 7.3.1611 (Core)
    KERNEL: 3.10.0-514.16.1.el7.x86_64 

    after setup of LIS 4.1.3-2, vm hangs on boot 

    i hat to boot to 3.10.0-514.6 and remove kmod* and microsoft-hyper-v*

    i wanted to do hyper-v replica on this vm and could not start on destination host too.
    (i'm not sure if the problem belongs together)

    regards josy


    Thursday, May 4, 2017 8:52 PM
  • Hello All,

    Same here, anybody?

    Friday, May 5, 2017 11:56 AM
  • Were you able to fix this? I am having the same problem.

    Thanks

    Wednesday, May 17, 2017 5:15 PM
  • Hello,

    Thank you for reporting this.

    I tried as well installing LIS 4.1.3-2 on the Centos 7.3 image and it looks like there is  a problem with the new kernel 3.10.0-514.16.1.el7.x86_64

    I tried with the Redhat 7.3 image with kernel 3.10.0-514.10.2.el7.x86_64 and the Centos 7.2 image with 3.10.0-327.36.3.el7.x86_64 and there was no problem on those.

    I have submit a bug on GitHub https://github.com/LIS/lis-next/issues/343

    Best Regards,

    Johan

    Thursday, May 18, 2017 7:27 AM
  • Hello,

    For all of you who have this problem, please use LIS 4.2.0 from the link below:

    https://www.microsoft.com/en-us/download/details.aspx?id=55106B

    I have tested it and it is working with kernel 3.10.0-514.16.1.el7.x86_64


    $ uname -r
    3.10.0-514.16.1.el7.x86_64
    $ /sbin/modinfo hv_storvsc
    filename:       /lib/modules/3.10.0-514.16.1.el7.x86_64/extra/microsoft-hyper-v/hv_storvsc.ko
    alias:          vmbus:4acc9b2f6900f34ab76b6fd0be528cda
    alias:          vmbus:32264132cb86a2449b5c50d1417354f5
    alias:          vmbus:d96361baa104294db60572e2ffb1dc7f
    version:        4.2.0
    description:    Microsoft Hyper-V virtual storage driver
    license:        GPL
    rhelversion:    7.3
    srcversion:     356F10693A23FB380DE29F5
    alias:          vmbus:4acc9b2f6900f34ab76b6fd0be528cda
    alias:          vmbus:32264132cb86a2449b5c50d1417354f5
    alias:          vmbus:d96361baa104294db60572e2ffb1dc7f
    depends:        hv_vmbus,scsi_transport_fc
    vermagic:       3.10.0-514.16.1.el7.x86_64 SMP mod_unload modversions
    parm:           logging_level:Logging level, 0 - None, 1 - Error (default), 2 - Warning. (int)
    parm:           storvsc_ringbuffer_size:Ring buffer size (bytes) (int)
    parm:           storvsc_vcpus_per_sub_channel:Ratio of VCPUs to subchannels (int)

    Hope this helps,

    Johan

    Friday, May 19, 2017 12:25 AM
  • Hi,

    unfortunately, there is a new kernel 514.21 meanwhile.
    The version check in LIS 4.2.0 package seems to work and installation is refused.

    Any chance for a LIS 4.2.1?
    And seeing that there is a new kernel about once per month - any chance of a
    proactive and predictable process to get a matching LIS build?

    Thanks
    Rainer

    kernel-3.10.0-514.2.2.el7.x86_64.rpm          2016-12-08 10:50   37M  
    kernel-3.10.0-514.6.1.el7.x86_64.rpm          2017-01-19 12:48   37M  
    kernel-3.10.0-514.6.2.el7.x86_64.rpm          2017-02-23 04:51   37M  
    kernel-3.10.0-514.10.2.el7.x86_64.rpm         2017-03-03 11:37   37M  
    kernel-3.10.0-514.16.1.el7.x86_64.rpm         2017-04-13 01:06   37M  
    kernel-3.10.0-514.21.1.el7.x86_64.rpm         2017-05-25 23:21   37M  

    • Proposed as answer by Herman W Monday, June 5, 2017 4:00 PM
    Wednesday, May 31, 2017 11:29 AM
  • Before installation, make sure that if it's supporing to specific kernel.  

    RHEL 7.3 latest kernel will be supported latest release of LIS. you can download LIS 4.2.1 to the following link

    https://www.microsoft.com/en-us/download/details.aspx?id=55106

    Table chat for OS version

    https://docs.microsoft.com/en-us/windows-server/virtualization/hyper-v/supported-centos-and-red-hat-enterprise-linux-virtual-machines-on-hyper-v#BKMK_7x


    Monday, June 12, 2017 11:57 AM
  • LIS 4.2.1 is out now and will address these new kernels. We had some kernel ABI sensitivities because of PCI passthrough that required us to rev new versions.

    Josh Poulson Program Manager, Linux Integration Services, Enterprise Open Source Group Microsoft

    Monday, June 12, 2017 2:38 PM